def lunar_sum(a, b):
    a_digits = [int(digit) for digit in a]
    b_digits = [int(digit) for digit in b]
    max_len = max(len(a_digits), len(b_digits))
    a_digits = [0] * (max_len - len(a_digits)) + a_digits
    b_digits = [0] * (max_len - len(b_digits)) + b_digits

    result_digits = [max(x, y) for x, y in zip(a_digits, b_digits)]
    return "".join(map(str, result_digits))


def lunar_product(a, b):
    a_digits = [int(digit) for digit in a]
    b_digits = [int(digit) for digit in b]
    max_len = max(len(a_digits), len(b_digits))
    a_digits = [0] * (max_len - len(a_digits)) + a_digits
    b_digits = [0] * (max_len - len(b_digits)) + b_digits

    result_digits = [min(x, y) for x, y in zip(a_digits, b_digits)]
    return "".join(map(str, result_digits))


a = input()
b = input()

print(lunar_sum(a, b), lunar_product(a, b))